Package io.github.jdbcx.dialect

# Class DefaultDialect

java.lang.Object
io.github.jdbcx.dialect.DefaultDialect

All Implemented Interfaces:
  `JdbcDialect`

public class DefaultDialect extends Object implements JdbcDialect

## Constructor Summary

Constructors
Constructor
Description
`DefaultDialect()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createTemporaryTable(String table, Field... fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.JdbcDialect

`union`

## Constructor Details

### DefaultDialect

public DefaultDialect()

## Method Details

### createTemporaryTable

public void createTemporaryTable(String table, Field... fields) throws SQLException

Specified by:
  `createTemporaryTable` in interface `JdbcDialect`
Throws:
  `SQLException`